lib32 Dateien installieren

Bitte loggen sie sich ein oder registrieren sie sich.

Einloggen mit Benutzername, Passwort und Sitzungslänge
Erweiterte Suche  

Autor Thema: lib32 Dateien installieren  (Gelesen 5644 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

wadahada

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 11
lib32 Dateien installieren
« am: 30.Dezember 2008, 17:01:46 »

ich kann keine lib32 Dateien installieren
Fehl http://ftp.de.debian.org etch/main libc6-i386 2.3.6.ds1-13etch7
  404 Not Found
Konnte http://ftp.de.debian.org/debian/pool/main/g/glibc/libc6-i386_2.3.6.ds1-13etch7_amd64.deb nicht holen  404 Not Found

wie man schon sieht findet er die dateien nicht weil es nach meinen recherschen nur noch etch8 gibt
hab es runtergeladen und versucht zu installieren da sagt er mir kompalitätsfehler
Gespeichert


Phil2018

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 2
Re: lib32 Dateien installieren
« Antwort #1 am: 30.Dezember 2008, 20:56:36 »

aptitude update könnte helfen
Gespeichert

DeepDiver

  • Grünschnabel
  • *
  • Offline Offline
  • Geschlecht: Männlich
  • Beiträge: 17
Re: lib32 Dateien installieren
« Antwort #2 am: 30.Dezember 2008, 20:59:27 »

apt-get install ia32-libs
Gespeichert

wadahada

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 11
Re: lib32 Dateien installieren
« Antwort #3 am: 31.Dezember 2008, 01:26:46 »

apt-get install ia32-libs

das hab ich ja ausprobiert mit dem befehl
Gespeichert

dreamer

  • Gast
Re: lib32 Dateien installieren
« Antwort #4 am: 31.Dezember 2008, 12:13:03 »

Du könntest etwas genauer mit deinen Aussagen sein. Was kam denn z.B. als Antwort auf apt-get install ia32-libs ?
Hast du überhaupt debian? :o
Was war der Befehl mit dem du den 404 bekamst?!

Probier doch einfach mal
apt-get update
apt-get -y upgrade
apt-get -y dist-upgrade

Warum willst du überhaupt etch7 wenns etch8 gibt??
Gespeichert

wadahada

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 11
Re: lib32 Dateien installieren
« Antwort #5 am: 31.Dezember 2008, 15:29:49 »

sry hier mal die weiteren informationen also hab auf dem V-Server Debian 4.0r4 + SysCP
er sagt mir hat das er die .deb dateien mit etch7 nicht findet

der 404-Fehler war der befehl
apt-get install ia32-libser verucht halt die datei mit etch7 runterzuladen die garnich mehr vorhanden ist

Zitat
__Auszug Konsole_________________________________________________________________________________________________

Möchten Sie fortfahren [J/n]? J
Fehl http://ftp.de.debian.org etch/main python2.4-minimal 2.4.4-3+etch1
  404 Not Found
Fehl http://ftp.de.debian.org etch/main libc6-i386 2.3.6.ds1-13etch7
  404 Not Found
Fehl http://security.debian.org etch/updates/main python2.4-minimal 2.4.4-3+etch1
  404 Not Found [IP: 195.20.242.89 80]
Fehl http://security.debian.org etch/updates/main python2.4 2.4.4-3+etch1
  404 Not Found [IP: 195.20.242.89 80]
Konnte http://security.debian.org/pool/updates/main/p/python2.4/python2.4-minimal_2.4.4-3+etch1_amd64.deb nicht holen  404 Not Found [IP: 195.20.242.89 80]
Konnte http://security.debian.org/pool/updates/main/p/python2.4/python2.4_2.4.4-3+etch1_amd64.deb nicht holen  404 Not Found [IP: 195.20.242.89 80]
Konnte http://ftp.de.debian.org/debian/pool/main/g/glibc/libc6-i386_2.3.6.ds1-13etch7_amd64.deb nicht holen  404 Not Found
E: Konnte einige Archive nicht herunterladen, vielleicht âapt-get updateâ oder mit â--fix-missingâ probieren?

so dann hab ich mal gegoogelt und hab gesehn das es das/die paket/e nur noch mit etch8 gibt
so manuell gedownloadet versucht zu installieren mit dem befehl
dpkg -i 'packetname.deb'
dann kommt aber fehlermeldung

Zitat
__Auszug Konsole_________________________________________________________________________________________________

Wähle vormals abgewähltes Paket libc6-i386.
(Lese Datenbank ... 22105 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke libc6-i386 (aus libc6-i386_2.3.6.ds1-13etch8_amd64.deb) ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von libc6-i386:
 libc6-i386 hängt ab von libc6 (= 2.3.6.ds1-13etch8); aber:
  Version von libc6 auf dem System ist 2.3.6.ds1-13etch7.
dpkg: Fehler beim Bearbeiten von libc6-i386 (--install):
 Abhängigkeitsprobleme - lasse es unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 libc6-i386

hatte früher schon mal gemacht da ging noch alles mit etch7 da gabs keine probleme

hoffe das euch die infos helfen sons einfach noma nachfragen
dank euch schon mal im vorraus
« Letzte Änderung: 31.Dezember 2008, 15:42:25 von wadahada »
Gespeichert

wadahada

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 11
Re: lib32 Dateien installieren
« Antwort #6 am: 31.Dezember 2008, 15:38:50 »

Zitat
Probier doch einfach mal
apt-get update
apt-get -y upgrade
apt-get -y dist-upgrade

Bei apt-get update
Hole:1 http://debian.syscp.de etch/ Release.gpg [189B]
Hole:2 http://debian.syscp.de etch/ Release [522B]
Hole:3 http://ftp.de.debian.org etch Release.gpg [386B]
Hole:4 http://ftp.de.debian.org etch Release [58,2kB]
Ign http://debian.syscp.de etch/ Release
Ign http://debian.syscp.de etch/ Packages/DiffIndex
Ign http://debian.syscp.de etch/ Packages
Hole:5 http://debian.syscp.de etch/ Packages [739B]
Ign http://ftp.de.debian.org etch/main Packages/DiffIndex
Ign http://ftp.de.debian.org etch/main Sources/DiffIndex
Hole:6 http://ftp.de.debian.org etch/main Packages [4208kB]
Hole:7 http://security.debian.org etch/updates Release.gpg [189B]
Hole:8 http://security.debian.org etch/updates Release [37,6kB]
Ign http://security.debian.org etch/updates/main Packages/DiffIndex
Ign http://security.debian.org etch/updates/contrib Packages/DiffIndex
Ign http://security.debian.org etch/updates/main Sources/DiffIndex
Ign http://security.debian.org etch/updates/contrib Sources/DiffIndex
Hole:9 http://security.debian.org etch/updates/main Packages [290kB]
OK   http://security.debian.org etch/updates/contrib Packages
Hole:10 http://security.debian.org etch/updates/main Sources [48,0kB]
OK   http://security.debian.org etch/updates/contrib Sources
Hole:11 http://ftp.de.debian.org etch/main Sources [1217kB]
Es wurden 5860kB in 18s geholt (324kB/s)
Paketlisten werden gelesen... Fertig
W: GPG error: http://debian.syscp.de etch/ Release: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY EB8BDC4195A7D80C
W: Probieren Sie âapt-get updateâ, um diese Probleme zu korrigieren.

Bei apt-get -y upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
Probieren Sie âapt-get -f installâ, um diese zu korrigieren.
Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
  libc6-i386: Hängt ab: libc6 (= 2.3.6.ds1-13etch8) aber 2.3.6.ds1-13etch7 ist installiert
E: Nichterfüllte Abhängigkeiten. Versuchen Sie, -f zu benutzen.

Bei apt-get -y dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
Probieren Sie âapt-get -f installâ, um diese zu korrigieren.
Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
  libc6-i386: Hängt ab: libc6 (= 2.3.6.ds1-13etch8) aber 2.3.6.ds1-13etch7 ist installiert
E: Nichterfüllte Abhängigkeiten. Versuchen Sie, -f zu benutzen.

ich chek nich warum er nicht direkt die etch8.deb die er dafür brauch haben will
sondern versucht immernoch die etch7.deb zu kriegen
Gespeichert

Joor

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 30
  • Nautischer Admin - Administrierender Nautiker
Re: lib32 Dateien installieren
« Antwort #7 am: 31.Dezember 2008, 15:42:20 »

Und Du bist sicher, dass Du Deine Pakete sauber hast?

Pakete mit dpkg zu installieren ist zwar grundsätzlich nicht falsch, birgt aber do manche Risiken. Insbesondere Abhängigkeiten werden so nicht unbedingt sauber aufgelöst.

Hast Du nacht der Neuinstallation 'aptitude update' duchgeführt? (oder eben apt-get update)

Hast Du die lib32-Pakete mit apt installiert?
Wie war ggf. die Fehlermeldung?

Hier sind einige, die Dir helfen wollen, aber Du musst auch mitspielen.
BTW: dreamer hat Dir im grunde schon die selben Fragen gestellt...

Gruß
Joor
Gespeichert

Joor

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 30
  • Nautischer Admin - Administrierender Nautiker
Re: lib32 Dateien installieren
« Antwort #8 am: 31.Dezember 2008, 15:47:50 »

ok, jetzt warst Du schneller als ich.

Ich würde Dir zur Einfachheit empfehlen, das System nochmal zurück zu setzen.
Ich hatte auch schon was zu den Umlauten und den Paketquellen geschrieben, insbesondere zu dem GPG-Fehler. (in einem anderen Thread).

Als erstes solltest Du dann Deine Quellen um 'contrib non-free' erweitern (wenn gewünscht), den Key für SySCP zu GPG hinzufügen und dann wie von dreamer vorgeschlagen
aptitude update
aptitude dist-upgrade
durchführen.

danach kannst du mit aptitude die lib32-Pakete installieren.

Gruß
Joor
Gespeichert

wadahada

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 11
Re: lib32 Dateien installieren
« Antwort #9 am: 31.Dezember 2008, 15:50:15 »

Zitat
Pakete mit dpkg zu installieren ist zwar grundsätzlich nicht falsch, birgt aber do manche Risiken. Insbesondere Abhängigkeiten werden so nicht unbedingt sauber aufgelöst.
wie sollt ich es den machen?

Zitat
Hast Du nacht der Neuinstallation 'aptitude update' duchgeführt? (oder eben apt-get update)
direkt nach der installation aber wie du in meinem vorigem post sehen kannst wirft das auch ne Fehlermeldung aus

Zitat
Hast Du die lib32-Pakete mit apt installiert?
Wie war ggf. die Fehlermeldung?
hab ich eigentlioch auch schon in meinem vorletzten Post beantwortet
Zitat
der 404-Fehler war der befehl
apt-get install ia32-libser verucht halt die datei mit etch7 runterzuladen die garnich mehr vorhanden ist


Zitat
Hier sind einige, die Dir helfen wollen, aber Du musst auch mitspielen.
BTW: dreamer hat Dir im grunde schon die selben Fragen gestellt...
Ich weiß nicht was du hast sry aber wenn das die Falschen sachen sind
dann sach mir doch welche ihr genau braucht bin noch bissl verwirrt

dank dir trotzdem schonmal *schleim* xD
Gespeichert

wadahada

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 11
Re: lib32 Dateien installieren
« Antwort #10 am: 31.Dezember 2008, 15:53:17 »

Zitat
Ich würde Dir zur Einfachheit empfehlen, das System nochmal zurück zu setzen.
Hab ich schon ausprobiert


Zitat
Ich hatte auch schon was zu den Umlauten und den Paketquellen geschrieben, insbesondere zu dem GPG-Fehler. (in einem anderen Thread).

Als erstes solltest Du dann Deine Quellen um 'contrib non-free' erweitern (wenn gewünscht), den Key für SySCP zu GPG hinzufügen und dann wie von dreamer vorgeschlagen
aptitude update
aptitude dist-upgrade
durchführen.

danach kannst du mit aptitude die lib32-Pakete installieren.
Könntet du mir diese Geschichte viell. ein bisschen ausführlicher erklären bis zu den befehlen von dreamer
wär echt nett
« Letzte Änderung: 31.Dezember 2008, 15:55:47 von wadahada »
Gespeichert

Joor

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 30
  • Nautischer Admin - Administrierender Nautiker
Re: lib32 Dateien installieren
« Antwort #11 am: 01.Januar 2009, 20:42:20 »

(ergeben seufzend)
Nagut, eigene Recherche war wohl zuviel verlangt; mein Fehler....

SySCP:
If apt-get complains about an unknown key, please import our stable repository key:

wget http://debian.syscp.org/pubkey
apt-key add pubkey
gpg --import pubkey && gpg --fingerprint



Umlaute:
~/.bashrc erweitern:

export LC_ALL=de_DE@euro
export LANG=de_DE@euro
export LANGUAGE=de_DE@euro


Quellen erweitern:
in der '/etc/apt/sources.list' an die entsprechenden Zeilen 'contrib non-free' anfügen:


deb http://ftp.de.debian.org/debian/ etch main contrib non-free
deb-src http://ftp.de.debian.org/debian/ etch main contrib non-free


ggf. helfen Dir auch die Tipps, die grade auf meiner Webseite zusammentrage:
http://www.arvid-geiger.de

Gruß
Joor
Gespeichert

wadahada

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 11
Re: lib32 Dateien installieren
« Antwort #12 am: 02.Januar 2009, 15:47:44 »

n1 Joor sehr gut erklärt

danke dir

und noch ein Frohes Neues^^
Gespeichert

Joor

  • Grünschnabel
  • *
  • Offline Offline
  • Beiträge: 30
  • Nautischer Admin - Administrierender Nautiker
Re: lib32 Dateien installieren
« Antwort #13 am: 02.Januar 2009, 19:42:44 »

Na, wenns es denn nun funktioniert...
gern geschehen.

Wünsche gut gerutscht zu sein :-) (c)

Joor
Gespeichert
 

Seite erstellt in 0.352 Sekunden mit 16 Abfragen.